#ifndef MEASURETIME_H
#define MEASURETIME_H

struct Timer {
    Timer();
    double elapsed() const;
private:
    static double currentTime();
    double startTime;
};

template<class Fn>
double measureTime(Fn function) {
    Timer timer;
    function();
    return timer.elapsed();
}

#endif // MEASURETIME_H
